/*
Stylesheet      Home
Theme Name      University of St Andrews 2008
URI             http://www.st-andrews.ac.uk
Version         5.0.1
Authors         gjms1
Description     Main University homepage and Staff/Students homepages
Last Updated    23/12/2010
*/

/* --------------- NEWS AND EVENTS ------------------------------------------ */

/* Set width of news/events/other columns (Same as Blueprint CSS: span-10) */
.homecolumn1-3, .homecolumn2-3, .homecolumn3-3 {
    display: inline;
    float:left;
    margin: 10px 10px 10px 0;
    max-width: 297px !important;
    width: 297px !important;
    }

.homecolumn1-3 {margin-left: 10px;}

.homecolumn3-3 {
    margin-right: 0;
    width: 298px;
    max-width: 298px;
    }

/* Set properties for full width container (span-33 last) */
#newsevents {
    background-color: #fff;
    clear: both;
    display: inline;
    float: left;
    margin: 0;
    padding: 0;
    }

/* Inner container, pushes away from #newsevents by 5px, sets background colour */
#newsevents-inner {
    background-color: #404040;
    color: #fff;
    display: inline;
    float: left;
    margin: 5px !important;
    width: 970px;
    }

/* Height fixes collapse bug */
#newsevents-inner h3,
#newsevents-inner h4 {
    color: #fff;
    height: auto;
    }

/* h4 used for news and highlights headlines */
#newsevents-inner h4 {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 0;
    }

/* Style headings, listed items and view all links within the news and events section */
#newsevents-inner h3 a:link, #newsevents-inner h3 a:visited,
#newsevents-inner h4 a:link, #newsevents-inner h4 a:visited,
#newsevents-inner li a:link, #newsevents-inner li a:visited,
#newsevents-inner a:link, #newsevents-inner a:visited {
    color: #fff !important;
    text-decoration: none !important;
    }

#newsevents-inner h3 a:hover, #newsevents-inner h3 a:active,
#newsevents-inner h4 a:hover, #newsevents-inner h4 a:active,
#newsevents-inner li a:hover, #newsevents-inner li a:active,
#newsevents-inner a:hover, #newsevents-inner a:active {
    color: #fff;
    text-decoration: underline !important;
    }

/* Style "View all", "Submit" and "Subscribe" paragraph */
p.viewall a:link, p.viewall a:visited {
    color: #CFCFCF;
    text-decoration: none;
    }

p.viewall a:hover, p.viewall a:active {
    text-decoration: underline;
    }

/* no idea what this does, if anything!
.viewalllist {margin-left: 20px;}*/

/* Style News headline dates and viewall paragraph */
.date,
.viewall {
    font-size: 0.9em;
    }

.date {
    color: #cfcfcf;
    font-variant: small-caps;
    }

/* --------------- RSS feed icon --------------------------------------------
External home; Staff home; Students home
RSS icon turns from grey to orange on hover.
*/
/*a.home_subscribe:link,
a.home_subscribe:visited
{
    padding: 2px 22px 2px 0;
    margin: -2px 0;
    background-repeat: no-repeat;
    background-position: right center;
    background-image: url('/media/styles/main-website/images/icons-css-filetype/icon_feed_grey.png');
    }

a.home_subscribe:hover,
a.home_subscribe:active {
    background-image: url('/media/styles/main-website/images/icons-css-filetype/icon_feed.png');
    }*/

#newsevents-inner p.viewall a[href$=".xml"]:link,
#newsevents-inner p.viewall a[href$=".xml"]:visited,
#newsevents-inner p.viewall a[type="application/rss+xml"]:link,
#newsevents-inner p.viewall a[type="application/rss+xml"]:visited,
#newsevents-inner p.viewall a[href$="_render=rss"]:link,
#newsevents-inner p.viewall a[href$="_render=rss"]:visited,
.rss:link, .rss:visited {
    background-image:url('/media/styles/main-website/images/icons-css-filetype/icon_feed_grey.png');
    }

#newsevents-inner p.viewall a[href$=".xml"]:hover,
#newsevents-inner p.viewall a[href$=".xml"]:active,
#newsevents-inner p.viewall a[type="application/rss+xml"]:hover,
#newsevents-inner p.viewall a[type="application/rss+xml"]:active,
#newsevents-inner p.viewall a[href$="_render=rss"]:hover,
#newsevents-inner p.viewall a[href$="_render=rss"]:active,
.rss:hover, .rss:active {
    background-image:url('/media/styles/main-website/images/icons-css-filetype/icon_feed.png');
    }

/* Events listing */

ul#event_list {
    list-style-type: none;
    margin: 0;
    padding: 0;
    }

ul#event_list li {
    margin-bottom: 1em;
    }

ul#event_list span.event_date {
    color: #cfcfcf;
    font-size: 0.9em;
    font-variant: small-caps;
    }
	
.event_title {
     margin: 0 0 7px 0;
}

/* Remove PHP-generated "More..." item */
li#event_list_more {display: none;}